using System;

namespace tk1z1
{
    class Program
    {
        static void Main(string[] args)
        {
            int treci, drugi, prvi;
            string[] unos = Console.ReadLine().Split();
            drugi=Convert.ToInt32(unos[0]);
            treci=Convert.ToInt32(unos[1]);
            prvi = (drugi + treci) > 256 ? 0 : -1;
            int pomocna=Math.Max(drugi, treci);
            prvi = prvi == -1 ? 256-pomocna : 0;
            Console.WriteLine(prvi);
        }
    }
}